Bug 216765 - delay_failed_login and delay_successful_login are wrongly named in man
delay_failed_login and delay_successful_login are wrongly named in man
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Maros Barabas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 16:41 EST by Henning Norén
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 07:13:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix issue (453 bytes, patch)
2006-12-04 11:26 EST, Henning Norén
no flags Details | Diff

  None (edit)
Description Henning Norén 2006-11-21 16:41:39 EST
Description of problem:
delay_failed_login and delay_successful_login are both wrongly named in the
vsftpd.conf man-page.
In the man they are named delay_failed_logins and delay_successful_logins but
using them with that ending 's' in a vsftpd conf-file, the poor daemon fails to
recognize them.

Version-Release number of selected component (if applicable):
# rpm -q vsftpd
vsftpd-2.0.5-8

How reproducible:
Always

Steps to Reproduce:
1. Add delay_successful_logins or delay_failed_logins to vsftpd.conf
2. /etc/rc.d/init.d/vsftpd restart
  
Actual results:
# /usr/sbin/vsftpd vsftpd.conf
500 OOPS: unrecognised variable in config file: delay_failed_logins
# /usr/sbin/vsftpd vsftpd.conf
500 OOPS: unrecognised variable in config file: delay_successful_logins

Expected results:
No error on startup
Comment 1 Henning Norén 2006-12-04 11:26:04 EST
Created attachment 142746 [details]
Patch to fix issue

The attached patch should probably apply to RHEL5 and FC4 too...

Note You need to log in before you can comment on or make changes to this bug.